import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase creada para actuar como arma en contra del jefe final del juego.
 */
public class Canon extends Actor
{
    private int tiempo=10;
    private boolean bala= true;
    private int numcanon;
    
    /**
     * Constructor de la Clase bala recibe un entero para señalar el numero de cañon que es y asi poderlo identificar.
     */
    public Canon(int num)
    {
        numcanon=num;
    }
    
    /**
     * En el actua de Canon se modifica el contador de tiempo de recarga.
     */
    public void act() 
    {
        if(bala==false)
        {
            tiempo++;
            if(tiempo==15)
               bala=true;
        }
    }    
    
    /**
     * regresa el numero del canon que es para poder hacer la identificacion al disparar.
     */
    public int dameNumero()
    {
        return numcanon;
    }
    
    /**
     * regresa el estado de la bala true si hay bala y se puede disparar y false si no se puede disparar.
     */
    public boolean cargado()
    {
        return bala;
    }
    
    /**
     * cambia el estado de la bala justo cuando dispara, ademas de iniciar nuevamente el contador de tiempo para el proximo disparo
     */
    public void bala()
    {
        tiempo=0;
        bala=false;
    }
}
