import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Esta clase es uno de los enemigos que se maneja durante el juego.
 */
public class Ene1 extends Actor
{
    private int pasos=3;
    private GreenfootImage quieto =null;
    private GreenfootImage[] mueveE=null;
    private GreenfootImage[] mueveO=null;
    private int cont;
    private int opcion;
    
    /**
     * Constructor de la clase en el cual se inicializan los arreglos de imagenes a usar, el contador de tiempo por el cual se movera sin cambiar de sentido 
     * y se elige hacia que lado iniciara el movimiento.
     */
    public Ene1()
    {
        quieto=new GreenfootImage("enbomba.png");
        mueveE=new GreenfootImage[4];
        mueveE[0]=new GreenfootImage("bombader1.png");
        mueveE[1]=new GreenfootImage("bombader2.png");
        mueveE[2]=new GreenfootImage("bombader3.png");
        mueveE[3]=new GreenfootImage("bombader4.png");
        
        mueveO=new GreenfootImage[4];
        mueveO[0]=new GreenfootImage("bombaizq1.png");
        mueveO[1]=new GreenfootImage("bombaizq2.png");
        mueveO[2]=new GreenfootImage("bombaizq3.png");
        mueveO[3]=new GreenfootImage("bombaizq4.png");
        cont=20;
        opcion=Greenfoot.getRandomNumber(4)+1;
    }
    
    /**
     * Act - do whatever the Ene1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setImage(quieto);
        if(cont==0)
        {
            opcion=Greenfoot.getRandomNumber(4)+1;
            cont=20;
        }
        movimiento(opcion);
        cont--;
        
    } 
    
    /**
     * En este metodo se hace el movimiento tanto de posicion como el cambio de imagen de Ene1 recibe un numero aleatorio que es el 
     * que dice hacia donde sera el movimiento.
     */
    public void movimiento(int opcion)
    {
        switch(opcion)
        {
              case 1:
                if(getX()+pasos<=575)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveE[i]);
                     setLocation(getX()+(pasos/3),getY());
                  }
                break;
              case 2:
                if(getX()-pasos>=25)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveO[i]);
                     setLocation(getX()-(pasos/3),getY());
                  }
                break;
              case 3:
                if(getY()-pasos>=29)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveE[i]);   
                     setLocation(getX(),getY()-(pasos/3));
                  }
                break;
              case 4:
                if(getY()+pasos<=415)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveO[i]);
                     setLocation(getX(),getY()+(pasos/3));
                  }
                break;
        }
    }
}
