import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase usada para mostrar de manera grafica el nivel en el  que se encuentra el jugador.
 */
public class Letrero extends Actor
{
    GreenfootImage level=null;
    
    /**
     * Constructor de la clase letrero que inicializa la imagen que se coloca diciendo que nivel se cursa
     */
    public Letrero()
    {
        level=new GreenfootImage("nivel0.png");
    }
    
    /**
     * En este metodo se cambia la imagen que se tiene en el letrero cada que se cambia de nivel.
     */
    public void cambiaLetrero(int nivel)
    {
        switch(nivel)
        {
            case 0:
                setImage("nivel0.png");
                break;
            case 1:
                setImage("nivel1.png");
                break;
            case 2:
                setImage("nivel2.png");
                break;
            case 3:
                setImage("nivel3.png");
                break;
            case 4:
                setImage("nivel4.png");
                break;
            case 5:
                setImage("nivel5.png");
                break;
        }
    }  
}
