import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que actua como bton para el acceso a la ayuda en el menu del juego.
 */
public class Ayuda extends Actor
{
    /**
     * Metodo que se encarga de mostrar la ayuda en la pantalla del juego cuando presionamos con 
     * el mouse el icono de ayuda
     */
    public void act() 
    {
        if( Greenfoot.mouseClicked( null ))
        {
          MouseInfo raton = Greenfoot.getMouseInfo();
          Actor personaje=raton.getActor();
          if(personaje instanceof Ayuda)
          {
            World mundo=getWorld();
            mundo.removeObjects(mundo.getObjects(null));
            ((Calabozo)mundo).Ayuda();
           }
        }
    }    
}
  
