import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Esta clase es el actor que se usa para dañar al jefe final, para acceder a este actor se tiene que golpear con
 * la espada uno de los cañones.
 */
public class Bala extends Actor
{
    /**
     * Act - do whatever the Bala wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
       Dragon dragon=null;
       dragon=(Dragon)encontroDragon();
       muevete();
       if(dragon!=null)
       {
         ((Calabozo) getWorld()).quitaVida();
         ((Calabozo) getWorld()).desaparece();
       }
       
    }
    
    /**
     * Metodo que realiza el movimiento de la bala, asi mismo si se detecta que ya llego a cierto punto se elimina
     * la bala del mundo.
     */
    public void muevete()
    {
        setLocation(getX()-2,getY());
        if(getX()<40)
          getWorld().removeObject(this);
    }
    
    /**
     * Metodo que verifica si se encuentra con el dragon, para poder reducir la vida del mismo.
     */
    public Actor encontroDragon()
    {
        Actor dragon=null;
        dragon=getOneIntersectingObject(Dragon.class);
        return dragon;  
    }
    
    
}
