import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que sirve para mostrar graficamente el conteo de las vidas
 * 
 */
public class CVida extends Actor
{
    private GreenfootImage full;
    private GreenfootImage medium;
    private GreenfootImage low;
    private GreenfootImage out;
    
    /**
     *Constructor de la clase que inicializa las variables que contienen las imagenes de cada uno 
     *de los estados de salud.
     */
    public CVida()
    {
        full=new GreenfootImage("heartf.png");
        medium=new GreenfootImage("heartm.png");
        low=new GreenfootImage("heartl.png");
        out=new GreenfootImage("hearto.png");
        setImage(full);
    }
    
    /**
     * Metodo que sirve para hacer el cambio de imagen dependiendo de la cantidad de vidas que
     * tenga el personaje.
     */
    public void cambia(int opcion)
    {
         switch(opcion)
         {
             case 0:
                    setImage(out);
                    break;
             case 1:
                    setImage(low);
                    break;
             case 2:
                    setImage(medium);
                    break;
             case 3:
                    setImage(full);
                    break;
         }
    }
}
