import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase del jefe final del juegoen esta se realizan todas las acciones del jefe final.
 */
public class Dragon extends Actor
{
    private GreenfootImage quieto =null;
    private GreenfootImage[] mueveE=null;
    private GreenfootImage[] mueveO=null;
    private GreenfootImage[] mueveN=null;
    private GreenfootImage[] mueveS=null;
    private int dir=1;
    private int cont=15;
    private int pasos=3;
    private int ataca=45;
    private int opcion;
    private int vida;
    
    /**
     * Constructor de la clase dragon que inicializa los arreglos de imagenes del dragon.
     */
    public Dragon()
    {
        quieto=new GreenfootImage("dragonder.png");
        mueveE=new GreenfootImage[2];
        mueveE[0]=new GreenfootImage("dragonder1.png");
        mueveE[1]=new GreenfootImage("dragonder2.png");
        
        mueveS=new GreenfootImage[2];
        mueveS[0]=new GreenfootImage("dragondn1.png");
        mueveS[1]=new GreenfootImage("dragondn2.png");
        
        mueveO=new GreenfootImage[2];
        mueveO[0]=new GreenfootImage("dragonizq1.png");
        mueveO[1]=new GreenfootImage("dragonizq2.png");
        
        mueveN=new GreenfootImage[2];
        mueveN[0]=new GreenfootImage("dragonup1.png");
        mueveN[1]=new GreenfootImage("dragonup2.png");
        vida =5;
    }
    
    /**
     * Actua del dragon aqui se decide el orden de las acciones del dragon y el orden.
     */
    public void act() 
    {
        setImage(quieto);
        if(cont==0)
        {
            opcion=Greenfoot.getRandomNumber(4)+1;
            cont=15;
        }
        if(ataca==0)
        {
            ataque();
            ataca=45;
        }
        movimiento(opcion);
        cont--;
        ataca--;
    }
    
    /**
     * Metodo que realiza el movimiento y la animacion del mismo del dragon.
     */
    public void movimiento(int opcion)
    {
        switch(opcion)
        {
              case 1:
                if(getX()+pasos<=272)
                  for(int i=0;i<2;i++)
                  {
                     setImage(mueveE[i]);
                     setLocation(getX()+(pasos/3),getY());
                     Greenfoot.delay(1);
                  }
                break;
              case 2:
                if(getX()-pasos>=85)
                  for(int i=0;i<2;i++)
                  {
                     setImage(mueveO[i]);
                     setLocation(getX()-(pasos/3),getY());
                     Greenfoot.delay(1);
                  }
                break;
              case 3:
                if(getY()-pasos>=99)
                  for(int i=0;i<2;i++)
                  {
                     setImage(mueveN[i]);   
                     setLocation(getX(),getY()-(pasos/3));
                     Greenfoot.delay(1);
                  }
                break;
              case 4:
                if(getY()+pasos<=340)
                  for(int i=0;i<2;i++)
                  {
                     setImage(mueveS[i]);
                     setLocation(getX(),getY()+(pasos/3));
                     Greenfoot.delay(1);
                  }
                break;
        }
    }   
        
    /**
     * Metodo que realiza el ataque del dragon.
     */
    public void ataque()
    {
        setImage(quieto);
        Fuego fire=new Fuego();
        ((Calabozo) getWorld()).addObject(fire,getX()+3,getY());        
    }
    
    /**
     * Regresa ubicacion en X
     */
    public int ubicaX()
    {
        int ux=getX();
        return ux;
    }
    
    /**
     * Regresa ubicacion en Y
     */
    public int ubicaY()
    {
        int uy=getY();
        return uy;
    }
}
