import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Esta clase es uno de los enemigos que se maneja durante el juego.
 */
public class Ene2 extends Actor
{
    private int pasos=3;
    private GreenfootImage quieto =null;
    private GreenfootImage[] mueveE=null;
    private GreenfootImage[] mueveO=null;
    private GreenfootImage[] mueveN=null;
    private GreenfootImage[] mueveS=null;
    
    private int cont;
    private int opcion;
    
    /**
     * Constructor de la clase en el cual se inicializan los arreglos de imagenes a usar, el contador de tiempo por el cual se movera sin cambiar de sentido 
     * y se elige hacia que lado iniciara el movimiento.
     */
    public Ene2()
    {
        quieto=new GreenfootImage("enmomia.png");
        mueveE=new GreenfootImage[3];
        mueveE[0]=new GreenfootImage("momiader1.png");
        mueveE[1]=new GreenfootImage("momiader2.png");
        mueveE[2]=new GreenfootImage("momiader3.png");
        
        mueveS=new GreenfootImage[3];
        mueveS[0]=new GreenfootImage("momiadn1.png");
        mueveS[1]=new GreenfootImage("momiadn2.png");
        mueveS[2]=new GreenfootImage("momiadn3.png");
        
        mueveO=new GreenfootImage[3];
        mueveO[0]=new GreenfootImage("momiaizq1.png");
        mueveO[1]=new GreenfootImage("momiaizq2.png");
        mueveO[2]=new GreenfootImage("momiaizq3.png");
        
        mueveN=new GreenfootImage[3];
        mueveN[0]=new GreenfootImage("momiaup1.png");
        mueveN[1]=new GreenfootImage("momiaup2.png");
        mueveN[2]=new GreenfootImage("momiaup3.png");
        
        cont=20;
        opcion=Greenfoot.getRandomNumber(4)+1;
    }
    
    /**
     * Act - do whatever the Ene1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setImage(quieto);
        if(cont==0)
        {
            opcion=Greenfoot.getRandomNumber(4)+1;
            cont=20;
        }
        movimiento(opcion);
        cont--;
    } 
    
    /**
     * En este metodo se hace el movimiento tanto de posicion como el cambio de imagen de Ene2 recibe un numero aleatorio que es el 
     * que dice hacia donde sera el movimiento.
     */
    public void movimiento(int opcion)
    {
        switch(opcion)
        {
              case 1:
                if(getX()+pasos<=575)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveE[i]);
                     setLocation(getX()+(pasos/3),getY());
                     Greenfoot.delay(1);
                  }
                break;
              case 2:
                if(getX()-pasos>=25)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveO[i]);
                     setLocation(getX()-(pasos/3),getY());
                     Greenfoot.delay(1);
                  }
                break;
              case 3:
                if(getY()-pasos>=29)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveN[i]);   
                     setLocation(getX(),getY()-(pasos/3));
                     Greenfoot.delay(1);
                  }
                break;
              case 4:
                if(getY()+pasos<=415)
                  for(int i=0;i<3;i++)
                  {
                     setImage(mueveS[i]);
                     setLocation(getX(),getY()+(pasos/3));
                     Greenfoot.delay(1);
                  }
                break;
        }
    }   
}
